package nl.iobyte.themeparkconnector.api.network.handlers;

import nl.iobyte.themeparkconnector.api.network.NetworkingService;
import nl.iobyte.themeparkconnector.api.packet.enums.PacketChannel;
import nl.iobyte.themeparkconnector.api.packet.handlers.ClientConnectHandler;
import nl.iobyte.themeparkconnector.api.packet.handlers.ClientDisconnectHandler;

public class ClientConnectivityHandler {

    public static void load(NetworkingService service) {
        service.registerHandler(PacketChannel.SERVER_IN_REGISTER_CLIENT, new ClientConnectHandler());
        service.registerHandler(PacketChannel.SERVER_IN_UNREGISTER_CLIENT, new ClientDisconnectHandler());
    }

}
